# Comparatif des différentes technos pour la sécurité

## Point vocabulaire
- NSM : Network and System Management
- IDS : Intrusion Detection System
- IPS : Intrusion Prevention System
- NIDS : Network Intrusion Detection System
- IDMEF : Intrusion Detection Message Exchange Format 
- SIEM : Security Information and Event Management

## Quelle technos ?

\ | Avantages | Inconvénients | Objectif
 --- | --- | --- | --- 
[Snort](https://www.snort.org/#documents) | - Gratuit et open-source <br> - Flexibilité *(peut-être configuré pour détecter un grand nombre de types de menaces)* <br> - Grande communauté <br> - Performant *(Analyse de grandes quantités de données en temps réel)* | - L'état du sujet observer n'est pas mise à jour en temps réel <br> - Configuration Complexe <br> - False positifs *(Peut générer de nombreux faux positifs, ce qui peut entraîner un gaspillage de temps et de ressources pour les administrateurs)* <br> - Nécessite une maintenance régulière | Ce logiciel a pour principale fonction IDS et IPS.
[Suricata](https://suricata.readthedocs.io/en/suricata-6.0.9/) | - Détection en temps réel <br> - Support multiplateforme *(macOS, Windows et Linux)* <br> - Intégration avec plusieurs systèmes *(SIEM)* <br> - Mise à jour automatique des signatures de menace  | - L'état du sujet observer n'est pas mise à jour en temps réel <br> - Complexité d'installation et de configuration <br> - Exigences de ressources élevées *(peu rendre les systèmes lent)* <br> - Faible performance dans les environnements de grande envergure | Ce logiciel a pour principale fonction IDS, IPS et NSM.
[Zeek (Bro)](https://docs.zeek.org/en/master/) | - Gratuit et open-source <br> - Grande communauté <br> - Flexibilité (analyse poussé) <br> - Puissance (grande ) | - L'état du sujet observer n'est pas mise à jour en temps réel <br> - Complexité de programmation *(Nécessite une formation)* <br> - Utilisation de ressources élevées *(peu rendre les systèmes lent)* <br> - Limites dans la détection des menaces <br> - Maintenance lourd | Ce logiciel a pour principale fonction NIDS et NSM.
`x` | Fue. | Ado | sa

### Conclusion
Tous les trois logiciels sont performants pour la détection d'intrusions, mais `Zeek (bro)` est plus difficile à utiliser et requiert une configuration plus poussée. `Snort` et `Suricata` sont plus faciles à utiliser et ont une interface utilisateur plus intuitive. Tous les trois sont gratuits et open-source et ont une forte communauté d'utilisateurs et de développeurs qui peuvent offrir un support technique. Le choix dépend des préférences personnelles de l'utilisateur en matière de fonctionnalités et d'interface utilisateur.
